#****************************************************************************
#**
#**  File     :  /data/units/XAS0306/XAS0306_script.lua
#**  Author(s):  Jessica St. Croix
#**
#**  Summary  :  Aeon Missile Ship Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit

local AAATemporalFizzWeapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').AAATemporalFizzWeapon
local AIFMissileTacticalSerpentineWeapon = import('/lua/aeonweapons.lua').AIFMissileTacticalSerpentineWeapon

XAS0306 = Class(AAirUnit) {

    DestructionTicks = 40,

    Weapons = {
        FirtGun = Class(AAATemporalFizzWeapon) {
            ChargeEffectMuzzles = {'TirLeger01', 'TirLeger02', 'TirLeger03', 'TirLeger04', 'TirLeger05', 'TirLeger06', 'TirLeger07'},
            
            PlayFxRackSalvoChargeSequence = function(self)
               AAATemporalFizzWeapon.PlayFxRackSalvoChargeSequence(self)
				CreateAttachedEmitter( self.unit, 'TirLeger01', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLeger02', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLeger03', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLeger04', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLeger05', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLeger06', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLeger07', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
            end,
        },
		SecondGun = Class(AIFMissileTacticalSerpentineWeapon) {},
	},
}

TypeClass = XAS0306