#****************************************************************************
#**
#**  File     :  /cdimage/units/UAS0303/UAS0303_script.lua
#**  Author(s):  John Comes Modified by Asdrubaelvect
#**
#**  Summary  :  Aeon Aircraft Carrier Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local ASeaUnit = import('/lua/aeonunits.lua').ASeaUnit
local AAirUnit = import('/lua/aeonunits.lua').AAirUnit

local WeaponsFile = import ('/lua/aeonweapons.lua')
local ADFPhasonLaser = WeaponsFile.ADFPhasonLaser
local AAATemporalFizzWeapon = import('/lua/aeonweapons.lua').AAATemporalFizzWeapon
local utilities = import('/lua/utilities.lua')
local explosion = import('/lua/defaultexplosions.lua')

UAS0303 = Class(AAirUnit) {

    Weapons = {
        SecondaryGun = Class(AAATemporalFizzWeapon) {
            ChargeEffectMuzzles = {'TirLegerGauche01', 'TirLegerGauche02', 'TirLegerGauche03', 'TirLegerDroit01', 'TirLegerDroit02', 'TirLegerDroit03'},
            
            PlayFxRackSalvoChargeSequence = function(self)
               AAATemporalFizzWeapon.PlayFxRackSalvoChargeSequence(self)
				CreateAttachedEmitter( self.unit, 'TirLegerGauche01', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLegerGauche02', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLegerGauche03', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
            	CreateAttachedEmitter( self.unit, 'TirLegerDroit01', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLegerDroit02', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
				CreateAttachedEmitter( self.unit, 'TirLegerDroit03', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
			end,
        },
		EyeWeapon = Class(ADFPhasonLaser) {},
    },
}

TypeClass = UAS0303

