#****************************************************************************
#**
#**  File     :  /cdimage/units/UEO1101/UEO1101_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix Modified by Asdrubaelvect
#**
#**  Summary  :  UEF Anti Fighters
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local EffectTemplate = import('/lua/EffectTemplates.lua')
local TSeaUnit = import('/lua/terranunits.lua').TSeaUnit
local TAirUnit = import('/lua/terranunits.lua').TAirUnit
--local TAALinkedRailgun = import('/lua/terranweapons.lua').TAALinkedRailgun
local TDFHeavyPlasmaCannon01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').TDFHeavyPlasmaCannon01Weapon
local TDFMediumPlasmaCannon01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').TDFMediumPlasmaCannon01Weapon
local Entity = import('/lua/sim/Entity.lua').Entity

UEO1101 = Class(TAirUnit) {

    Weapons = {
        MainGun = Class(TDFHeavyPlasmaCannon01Weapon) {
        },
        SecondGun = Class(TDFMediumPlasmaCannon01Weapon) {
        },
    },

    OnStopBeingBuilt = function(self,builder,layer)
        TSeaUnit.OnStopBeingBuilt(self,builder,layer)
        self.Trash:Add(CreateRotator(self, 'Spinner01', 'y', nil, 360, 0, 180))
        self.Trash:Add(CreateRotator(self, 'Spinner02', 'y', nil, 90, 0, 180))
        self.Trash:Add(CreateRotator(self, 'Spinner03', 'y', nil, -180, 0, -180))
    end,
}

TypeClass = UEO1101